
Redmine - Defect #20427

Cannot create a custom query visibility is "to these roles only"

2015-07-29 03:45 - Go MAEDA

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Jean-Philippe Lang % Done: 0%

Category: Issues Estimated time: 0.00 hour

Target version: 3.0.5   

Resolution: Fixed Affected version: 3.0.4

Description

Custom queries which visibility is "to these roles only" cannot be created with the error "Roles cannot be blank".

It affects Redmine 3.0.4 and 3.1.0. Redmine 3.0.3 works fine. Probably caused by r14388.

How to reproduce:

1. Try to create a query which visibility is "to these roles only"

 reproduce-step-1.png 

2. Save the query. You will get the error "Roles cannot be blank"

 reproduce-step-2.png 

Related issues:

Has duplicate Redmine - Defect #26608: Assign Role to a Custom Query fires an... Closed

Has duplicate Redmine - Defect #27296: Custom Query roles aren't per project Closed

Associated revisions

Revision 14472 - 2015-08-02 09:02 - Jean-Philippe Lang

Cannot create a custom query visibility is "to these roles only" (#20427).

Revision 14546 - 2015-09-12 12:54 - Jean-Philippe Lang

Merged r14472 (#20427).

Revision 14547 - 2015-09-12 12:57 - Jean-Philippe Lang

Merged r14472 (#20427).

History

#1 - 2015-08-02 08:52 - Jean-Philippe Lang

- Target version set to 3.1.1

#2 - 2015-08-02 09:03 - Jean-Philippe Lang

- Status changed from New to Resolved

- Assignee set to Jean-Philippe Lang

- Resolution set to Fixed

Fixed, and added a test for this. Thanks for pointing this out.

#3 - 2015-09-12 12:57 - Jean-Philippe Lang

- Status changed from Resolved to Closed

- Target version changed from 3.1.1 to 3.0.5

Merged.

#4 - 2017-08-02 13:59 - Go MAEDA

- Has duplicate Defect #26608: Assign Role to a Custom Query fires an error-message added
https://www.redmine.org/projects/redmine/repository/svn/revisions/14388


#5 - 2022-10-31 06:59 - Go MAEDA

- Has duplicate Defect #27296: Custom Query roles aren't per project added
